%define lib_major 0
%define lib_name lib%{name}-private
%define startup_notification_version 0.4


Summary: Metacity window manager
Name: metacity
Version: 2.4.34
Release: 3mdk
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/2.4/
Source0: %{name}-%{version}.tar.bz2
Source1: Wonderland-metacity-0.47.tar.bz2
# (fc) 2.3.987-2mdk use Galaxy as default theme
Patch2: metacity-2.4.34-galaxy.patch.bz2
# (fc) 2.4.0-2mdk metacity no longer use system font
Patch3:	metacity-2.4.0-systemfont.patch.bz2
# (sb) PPC build
Patch4: metacity-2.4.3-ppcbuild.patch.bz2
# (fc) 2.4.0-3mdk fix Mdk 1961 (ksnapshot freezing desktop)
Patch5: metacity-2.4.3-clientleader.patch.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libstartup-notification-1_0 >= %{startup_notification_version}
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel >= 1.1.9
BuildRequires: libstartup-notification-1_0-devel >= %{startup_notification_version}

%description
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%package -n %{lib_name}%{lib_major}
Summary:        Libraries for Metacity
Group:          System/Libraries

%description -n %{lib_name}%{lib_major} 
This package contains libraries used by Metacity.

%package -n %{lib_name}%{lib_major}-devel
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:		%{lib_name}%{lib_major} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{lib_name}-devel = %{version}-%{release}

%description -n %{lib_name}%{lib_major}-devel
This package provides the necessary development libraries and include 
files to allow you to develop with Metacity.


%prep
%setup -q
%patch2 -p1 -b .galaxy
%patch3 -p1 -b .systemfont
%patch4 -p1 -b .ppcbuild
%patch5 -p1 -b .clientleader

%build

%configure2_5x
#disable parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null

%post -n %{lib_name}%{lib_major} -p /sbin/ldconfig

%postun -n %{lib_name}%{lib_major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS HACKING ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/metacity-dialog
%{_datadir}/gnome/wm-properties/*
%{_datadir}/metacity
%{_datadir}/pixmaps/*
%{_datadir}/themes/*

%files -n %{lib_name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}%{lib_major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.34-3mdk
- Patch5 : fix Mdk bug 1961 (ksnapshot freezing desktop)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.34-2mdk
- Update patch 2 to use galaxy

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.34-1mdk
- Release 2.4.34
- Regenerate patch2

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.21-1mdk
- Release 2.4.21

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-1mdk
- Release 2.4.13
- Regenerate patch 4
- Remove patch6 (merged upstream)

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.8-1mdk
- Release 2.4.8

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.5-1mdk
- Release 2.4.5
- Remove patch5 (merged upstream)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with startup-notification support
- Remove menu entry (GNOME control center has now its own dialog)
- Patch6: use Alt as default mouse button modifier

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-2mdk
- Patch5 (CVS): filter out windows that aren't in the stack 
  for whatever reason, avoiding crash

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3
- Regenerate patch4

* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-4mdk
- add patch (patch4) from Gentoo folks (thx Gerk) for PPC build

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-3mdk
- Rename Bluecurve to Wonderland (don't use RH tm)

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Add Bluecurve theme

* Tue Sep 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1 (same as previous snapshot)
- Regenerate patch0 (partially merged upstream)

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2.20020906.1mdk
- New snapshot (fix bugs #92057, #86059)
- Update patch 2 to fix Crux theme (minor glitch on small dialog)

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2.20020828.1mdk
- Update source to CVS snapshot (fix a lot of bugs..)
- Regenerate patches 2 & 3

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch3: let metacity use its own font setting

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Add menu entry
- Remove patches 0 & 1 (merged upstream)

* Mon Jul 24 2002 Stefan van der Eijk <stefan@eijk.nu> 2.3.987-3mdk
- BuildRequires

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.987-2mdk
- Patch1 (CVS): fix focus on new window
- Patch2: use Crux as default theme

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.987-1mdk
- Release 2.3.987
- Patch0: add Alt-F4 keybinding to close window

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.610-1mdk
- Release 2.3.610

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.233-1mdk
- First Mdk package

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.233

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add gconf schemas boilerplate

* Mon Apr 15 2002 Havoc Pennington <hp@pobox.com>
- 2.3.89

* Tue Oct 30 2001 Havoc Pennington <hp@redhat.com>
- 2.3.34

* Fri Oct 13 2001 Havoc Pennington <hp@redhat.com>
- 2.3.21 

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- 2.3.8
- 2.3.13

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


